/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventTargetInterface {
#if ENABLE(APPLE_PAY)
    ApplePaySessionEventTargetInterfaceType = 1,
#endif
#if ENABLE(DOM_AUDIO_SESSION)
    DOMAudioSessionEventTargetInterfaceType = 2,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaKeySessionEventTargetInterfaceType = 3,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeySessionEventTargetInterfaceType = 4,
#endif
#if ENABLE(MEDIA_RECORDER)
    MediaRecorderEventTargetInterfaceType = 5,
#endif
#if ENABLE(MEDIA_SESSION_COORDINATOR)
    MediaSessionCoordinatorEventTargetInterfaceType = 6,
#endif
#if ENABLE(MEDIA_SOURCE)
    MediaSourceEventTargetInterfaceType = 7,
    SourceBufferEventTargetInterfaceType = 8,
    SourceBufferListEventTargetInterfaceType = 9,
#endif
#if ENABLE(MEDIA_STREAM)
    MediaDevicesEventTargetInterfaceType = 10,
    MediaStreamEventTargetInterfaceType = 11,
    MediaStreamTrackEventTargetInterfaceType = 12,
#endif
#if ENABLE(NOTIFICATIONS)
    NotificationEventTargetInterfaceType = 13,
#endif
#if ENABLE(OFFSCREEN_CANVAS)
    OffscreenCanvasEventTargetInterfaceType = 14,
#endif
#if ENABLE(PAYMENT_REQUEST)
    PaymentRequestEventTargetInterfaceType = 15,
    PaymentResponseEventTargetInterfaceType = 16,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    PictureInPictureWindowEventTargetInterfaceType = 17,
#endif
#if ENABLE(SERVICE_WORKER)
    BackgroundFetchRegistrationEventTargetInterfaceType = 18,
    ServiceWorkerEventTargetInterfaceType = 19,
    ServiceWorkerContainerEventTargetInterfaceType = 20,
    ServiceWorkerGlobalScopeEventTargetInterfaceType = 21,
    ServiceWorkerRegistrationEventTargetInterfaceType = 22,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisEventTargetInterfaceType = 23,
    SpeechSynthesisUtteranceEventTargetInterfaceType = 24,
#endif
#if ENABLE(VIDEO)
    AudioTrackListEventTargetInterfaceType = 25,
    MediaControllerEventTargetInterfaceType = 26,
    TextTrackEventTargetInterfaceType = 27,
    TextTrackCueEventTargetInterfaceType = 28,
    TextTrackCueGenericEventTargetInterfaceType = 29,
    TextTrackListEventTargetInterfaceType = 30,
    VideoTrackListEventTargetInterfaceType = 31,
#endif
#if ENABLE(WEBXR)
    WebXRLayerEventTargetInterfaceType = 32,
    WebXRSessionEventTargetInterfaceType = 33,
    WebXRSpaceEventTargetInterfaceType = 34,
    WebXRSystemEventTargetInterfaceType = 35,
#endif
#if ENABLE(WEB_AUDIO)
    AudioNodeEventTargetInterfaceType = 36,
    BaseAudioContextEventTargetInterfaceType = 37,
#endif
#if ENABLE(WEB_CODECS)
    WebCodecsVideoDecoderEventTargetInterfaceType = 38,
    WebCodecsVideoEncoderEventTargetInterfaceType = 39,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFSenderEventTargetInterfaceType = 40,
    RTCDataChannelEventTargetInterfaceType = 41,
    RTCDtlsTransportEventTargetInterfaceType = 42,
    RTCIceTransportEventTargetInterfaceType = 43,
    RTCPeerConnectionEventTargetInterfaceType = 44,
    RTCRtpSFrameTransformEventTargetInterfaceType = 45,
    RTCRtpScriptTransformEventTargetInterfaceType = 46,
    RTCSctpTransportEventTargetInterfaceType = 47,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET)
    RemotePlaybackEventTargetInterfaceType = 48,
#endif
    EventTargetInterfaceType = 49,
    AbortSignalEventTargetInterfaceType = 50,
    BroadcastChannelEventTargetInterfaceType = 51,
    ClipboardEventTargetInterfaceType = 52,
    DOMApplicationCacheEventTargetInterfaceType = 53,
    DOMWindowEventTargetInterfaceType = 54,
    DedicatedWorkerGlobalScopeEventTargetInterfaceType = 55,
    EventSourceEventTargetInterfaceType = 56,
    FileReaderEventTargetInterfaceType = 57,
    FontFaceSetEventTargetInterfaceType = 58,
    GPUDeviceEventTargetInterfaceType = 59,
    IDBDatabaseEventTargetInterfaceType = 60,
    IDBOpenDBRequestEventTargetInterfaceType = 61,
    IDBRequestEventTargetInterfaceType = 62,
    IDBTransactionEventTargetInterfaceType = 63,
    MediaQueryListEventTargetInterfaceType = 64,
    MessagePortEventTargetInterfaceType = 65,
    NodeEventTargetInterfaceType = 66,
    PerformanceEventTargetInterfaceType = 67,
    PermissionStatusEventTargetInterfaceType = 68,
    ScreenOrientationEventTargetInterfaceType = 69,
    SharedWorkerEventTargetInterfaceType = 70,
    SharedWorkerGlobalScopeEventTargetInterfaceType = 71,
    SpeechRecognitionEventTargetInterfaceType = 72,
    VisualViewportEventTargetInterfaceType = 73,
    WakeLockSentinelEventTargetInterfaceType = 74,
    WebAnimationEventTargetInterfaceType = 75,
    WebSocketEventTargetInterfaceType = 76,
    WorkerEventTargetInterfaceType = 77,
    WorkletGlobalScopeEventTargetInterfaceType = 78,
    XMLHttpRequestEventTargetInterfaceType = 79,
    XMLHttpRequestUploadEventTargetInterfaceType = 80,
};

} // namespace WebCore
